Subject: jutske

From: Pierre Abbat <[email-masked]>
Date: Mon, 3 Sep 2001 13:43:00 -0400

I'm preparing a taxonomy chart to go on the biology page when the Wiki 
becomes accessible (probably tomorrow, since Mounet is taking the day off) 
and would like to know what to call a nucleus. There's a word ratmidju, but 
it's obviously wrong for biology. Any ideas?

phma